Bug 809289 - SELinux is preventing /usr/libexec/accounts-daemon from 'read' accesses on the file status.
SELinux is preventing /usr/libexec/accounts-daemon from 'read' accesses on th...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2f6d29047d701ad32a40a8504f0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 20:47 EDT by Germán Ríos
Modified: 2012-04-04 17:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-110.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-04 17:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germán Ríos 2012-04-02 20:47:22 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-8.fc17.x86_64
time:           Mon 02 Apr 2012 19:46:24 COT

description:
:SELinux is preventing /usr/libexec/accounts-daemon from 'read' accesses on the file status.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that accounts-daemon should be allowed read access on the status file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep accounts-daemon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:accountsd_t:s0
:Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Objects                status [ file ]
:Source                        accounts-daemon
:Source Path                   /usr/libexec/accounts-daemon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           accountsservice-0.6.17-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-8.fc17.x86_64 #1 SMP Thu
:                              Mar 29 18:18:26 UTC 2012 x86_64 x86_64
:Alert Count                   4
:First Seen                    Mon 02 Apr 2012 19:42:40 COT
:Last Seen                     Mon 02 Apr 2012 19:44:42 COT
:Local ID                      97c704c8-e196-4c07-a5bc-0b6c05555320
:
:Raw Audit Messages
:type=AVC msg=audit(1333413882.638:287): avc:  denied  { read } for  pid=927 comm="accounts-daemon" name="status" dev="proc" ino=22311 scontext=system_u:system_r:accountsd_t:s0 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=file
:
:
:type=SYSCALL msg=audit(1333413882.638:287): arch=x86_64 syscall=open success=no exit=EACCES a0=7fffb18e55d0 a1=0 a2=737574 a3=12 items=0 ppid=1 pid=927 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=accounts-daemon exe=/usr/libexec/accounts-daemon subj=system_u:system_r:accountsd_t:s0 key=(null)
:
:Hash: accounts-daemon,accountsd_t,xdm_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-04-03 01:59:18 EDT
Fixed in elinux-policy-3.10.0-109.fc17.noarch
Comment 2 Fedora Update System 2012-04-03 03:44:33 EDT
selinux-policy-3.10.0-110.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-110.fc17
Comment 3 Fedora Update System 2012-04-04 17:11:20 EDT
selinux-policy-3.10.0-110.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.